import React from "react";
import { Upload } from "../types";
import { Dispatch, SetStateAction } from "react";
import { Editor } from "slate";
export declare const HostedImageContext: React.Context<{
    editor: Editor;
    origin: Upload;
    size: {
        width: number;
        height: number;
    };
    setSize: Dispatch<SetStateAction<{
        width: number;
        height: number;
    }>>;
} | null>;
export declare function useHostedImageContext(): {
    editor: import("slate").BaseEditor & import("slate-react").ReactEditor & import("slate-history").HistoryEditor & import("../types").CloudEditor;
    origin: Upload;
    size: {
        width: number;
        height: number;
    };
    setSize: React.Dispatch<React.SetStateAction<{
        width: number;
        height: number;
    }>>;
};
