"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useHostedImageContext = exports.HostedImageContext = void 0;
const react_1 = __importDefault(require("react"));
const react_2 = require("react");
exports.HostedImageContext = react_1.default.createContext(null);
function useHostedImageContext() {
    const context = (0, react_2.useContext)(exports.HostedImageContext);
    if (context == null) {
        throw new Error(`Expected context to not be null`);
    }
    return context;
}
exports.useHostedImageContext = useHostedImageContext;
