export declare function getSizeFromUrl(url: string): [number, number];
/**
 * Takes a url to an image and returns a modified url that's been resized to
 * a specific dimension. If the image is at a url that cannot be resized,
 * this method just returns the original url.
 */
export declare function getUrlFromSize(url: string, size: [number, number]): string;
