import { jsx as _jsx } from "react/jsx-runtime";
import { TitledImageBlock } from "../src/components/titled-image-block";
import { ImageBlock } from "../src/components/image-block";
import { ImageInline } from "../src/components/image-inline";
import { AttachmentBlock } from "../src/components/attachment-block";
export const renderElement = AttachmentBlock.withRenderElement(ImageInline.withRenderElement(TitledImageBlock.withRenderElement(ImageBlock.withRenderElement((props) => {
    const element = props.element;
    switch (element.type) {
        case "paragraph":
            return _jsx("p", { ...props.attributes, children: props.children });
        default:
            throw new Error(`Unexpected type ${element.type}`);
    }
}))));
