"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderElement = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const titled_image_block_1 = require("../src/components/titled-image-block");
const image_block_1 = require("../src/components/image-block");
const image_inline_1 = require("../src/components/image-inline");
const attachment_block_1 = require("../src/components/attachment-block");
exports.renderElement = attachment_block_1.AttachmentBlock.withRenderElement(image_inline_1.ImageInline.withRenderElement(titled_image_block_1.TitledImageBlock.withRenderElement(image_block_1.ImageBlock.withRenderElement((props) => {
    const element = props.element;
    switch (element.type) {
        case "paragraph":
            return (0, jsx_runtime_1.jsx)("p", { ...props.attributes, children: props.children });
        default:
            throw new Error(`Unexpected type ${element.type}`);
    }
}))));
