import { Editor } from "slate";
/**
 * handle `pasteFile` on any Element
 */
export declare const handlePasteFile: (editor: Editor, e: React.ClipboardEvent) => boolean;
/**
 * handle `dropFile` on any Element
 */
export declare const handleDropFile: (editor: Editor, e: React.DragEvent) => boolean;
/**
 * handle `onChange` on any `<input type="file" />` Element
 */
export declare const handleInputFileChange: (editor: Editor, e: React.ChangeEvent<HTMLInputElement>) => boolean;
