"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorMessage = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const hosted_image_context_1 = require("./hosted-image-context");
function ErrorMessage() {
    const { origin } = (0, hosted_image_context_1.useHostedImageContext)();
    if (origin.status !== "error")
        return null;
    return ((0, jsx_runtime_1.jsx)("div", { style: {
            position: "absolute",
            top: "50%",
            height: 24,
            marginTop: -6,
            padding: "0 1em",
            left: "1em",
            right: "1em",
            color: "white",
            background: "#cc0000",
            boxShadow: "0 0 3px 0px rgba(0,0,0,1)",
            textAlign: "center",
            font: "16px/24px sans-serif",
            borderRadius: 12,
        }, children: "\u26A0\uFE0F Upload Failed" }));
}
exports.ErrorMessage = ErrorMessage;
