/// <reference types="react" />
import { Upload } from "../types";
export declare function ProgressBar({ upload, className, style, width, height, }: {
    upload: Upload;
    className?: string;
    style?: React.CSSProperties;
    width: number;
    height?: number;
}): JSX.Element | null;
export declare function ErrorBar({ upload, className, style, width, height, }: {
    upload: Upload;
    className?: string;
    style?: React.CSSProperties;
    width: number;
    height?: number;
}): JSX.Element | null;
export declare function StatusBar(props: {
    upload: Upload;
    className?: string;
    style?: React.CSSProperties;
    width: number;
    height?: number;
    children?: React.ReactNode;
}): JSX.Element | null;
