import React from "react";
import { useContext } from "react";
export const HostedImageContext = React.createContext(null);
export function useHostedImageContext() {
    const context = useContext(HostedImageContext);
    if (context == null) {
        throw new Error(`Expected context to not be null`);
    }
    return context;
}
